<?php
/********************************
 * JWD Teams :: Hooks
 ********************************/
 
/********************************
 * Blocking direct access to this file 
 ********************************/
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

/********************************
 * Return Member Field
 ********************************/
if ( ! function_exists( 'jt__get_member_fileds' ) ) { 
	function jt__get_member_fileds($count, $member = null) {
		$html = '';
		if ($member === null){
			$img = $name = $position = $phone = $email = $desc = $img_id = $fb = $tw = $in = $gp = $yt = $it = '';
		} else {
			if( !empty($member['img'])){ $img = esc_url($member['img']); } else { $img = ''; }
			if( !empty($member['img_id'])){ $img_id = esc_attr( $member['img_id']); } else { $img_id = ''; }
			if( !empty($member['name'])){ $name = esc_attr( $member['name']); } else { $name = ''; }
			if( !empty($member['position'])){ $position = esc_attr( $member['position']); } else { $position = ''; }
			if( !empty($member['phone'])){ $phone = esc_attr( $member['phone']); } else { $phone = ''; }
			if( !empty($member['email'])){ $email = esc_attr( $member['email']); } else { $email = ''; }
			if( !empty($member['desc'])){ $desc = esc_textarea( $member['desc']); } else { $desc = ''; }
			if( !empty($member['fb'])){ $fb = esc_url( $member['fb']); } else { $fb = ''; }
			if( !empty($member['tw'])){ $tw = esc_url( $member['tw']); } else { $tw = ''; }
			if( !empty($member['in'])){ $in = esc_url( $member['in']); } else { $in = ''; }
			if( !empty($member['gp'])){ $gp = esc_url( $member['gp']); } else { $gp = ''; }
			if( !empty($member['yt'])){ $yt = esc_url( $member['yt']); } else { $yt = ''; }
			if( !empty($member['it'])){ $it = esc_url( $member['it']); } else { $it = ''; }
		}
		/**/
		if ($img != '' ){ $avatar = $img; } else { $avatar = plugins_url('/img/jwd_team_avatar.gif', dirname(__FILE__)); }
		if ($name != '' ){ $head = $name; } else { $head = __('New Member', 'jwdtm');}
		/**/
		$html .= '<div class="jt__teams">';
		$html .= '<h2 class="jt__teams-head">'.$head.' <span class="jt__remove button button-small" title="'.__('Delete this member','jwdtm').'"><i class="fa fa-user-times" aria-hidden="true"></i>&nbsp;&nbsp;'.__('Remove', 'jwdtm').'</span></h2>';
		$html .= '<ul class="jt__teams-list">';
			$html .= '<li id="jt__teams-img-'.$count.'" class="jt__teams-img">';
				$html .= '<div class="jt__teams-img-avatar jt__changeimg" data-jtcontainer="jt__teams-img-'.$count.'"><img src="'.$avatar.'" /></div>';
				$html .= '<input id="jt__teams-attachment" name="member_data['.$count.'][img]" type="text" value="'.$img.'" size="5" />';
				$html .= '<input id="jt__teams-attachmentid" name="member_data['.$count.'][img_id]" type="text" value="'.$img_id.'" size="5"/>';
				$html .= '<span data-jtcontainer="jt__teams-img-'.$count.'" class="jt__changeimg button button-primary" title="'.__('Upload Image','jwdtm').'"><i class="fa fa-file-image-o" aria-hidden="true"></i></span>&nbsp;&nbsp;';
				$html .= '<span data-avatar="'.plugins_url('/img/jwd_team_avatar.gif', dirname(__FILE__)).'" class="jt__removeimg button" title="'.__('Delete Image','jwdtm').'"><i class="fa fa-trash" aria-hidden="true"></i></span>';
			$html .= '</li>';
			$html .= '<li class="jt__teams-details">';
				$html .= '<ul class="jt__teams-details-list">';
					$html .= '<li class="jt__teams-details-name"><i class="fa fa-user-o" aria-hidden="true"></i><input type="text" name="member_data['.$count.'][name]"  value="'.$name.'" placeholder="'.__('Full Name', 'jwdtm').'" /></li>';
					$html .= '<li class="jt__teams-details-position"><i class="fa fa-building-o" aria-hidden="true"></i><input type="text" name="member_data['.$count.'][position]"  value="'.$position.'" placeholder="'.__('Position', 'jwdtm').'" /></li>';
					$html .= '<li class="jt__teams-details-phone"><i class="fa fa-phone" aria-hidden="true"></i><input type="text" name="member_data['.$count.'][phone]" value="'.$phone.'" placeholder="'.__('Phone', 'jwdtm').'" /></li>';
					$html .= '<li class="jt__teams-details-email"><i class="fa fa-envelope-o" aria-hidden="true"></i><input type="text" name="member_data['.$count.'][email]" value="'.$email.'" placeholder="'.__('Email', 'jwdtm').'" /></li>';
					$html .= '<li class="jt__teams-details-desc"><i class="fa fa-address-card-o" aria-hidden="true"></i><textarea name="member_data['.$count.'][desc]" placeholder="'.__('Description', 'jwdtm').'">'.$desc.'</textarea></li>';
				$html .= '</ul>';
			$html .= '</li>';
			$html .= '<li class="jt__teams-socials">';
				$html .= '<ul class="jt__teams-socials-list">';
					$html .= '<li class="jt__teams-socials-fb"><i class="fa fa-facebook" aria-hidden="true"></i><input type="text" name="member_data['.$count.'][fb]" value="'.$fb.'" placeholder="'.__('Facebook URL', 'jwdtm').'" /></li>';
					$html .= '<li class="jt__teams-socials-tw"><i class="fa fa-twitter" aria-hidden="true"></i><input type="text" name="member_data['.$count.'][tw]" value="'.$tw.'" placeholder="'.__('Twitter URL', 'jwdtm').'" /></li>';
					$html .= '<li class="jt__teams-socials-in"><i class="fa fa-linkedin" aria-hidden="true"></i><input type="text" name="member_data['.$count.'][in]" value="'.$in.'" placeholder="'.__('LinkedIn URL', 'jwdtm').'" /></li>';
					$html .= '<li class="jt__teams-socials-gp"><i class="fa fa-google-plus" aria-hidden="true"></i><input type="text" name="member_data['.$count.'][gp]" value="'.$gp.'" placeholder="'.__('Google+ URL', 'jwdtm').'" /></li>';
					$html .= '<li class="jt__teams-socials-yt"><i class="fa fa-youtube" aria-hidden="true"></i><input type="text" name="member_data['.$count.'][yt]" value="'.$yt.'" placeholder="'.__('YouTube URL', 'jwdtm').'" /></li>';
					$html .= '<li class="jt__teams-socials-it"><i class="fa fa-instagram" aria-hidden="true"></i><input type="text" name="member_data['.$count.'][it]" value="'.$it.'" placeholder="'.__('Instagram URL', 'jwdtm').'" /></li>';
				$html .= '</ul>';
			$html .= '</li>';
		$html .= '</ul>';
		$html .= '<p class="jt__teams-details-info">'.__('Leave any field empty if you don&#39;t want to display it.', 'jwdtm').'</p>';
		$html .= '</div>';
		return $html;
	}
}

/********************************
 * Custom Admin Footer
 ********************************/
if ( ! function_exists( 'jt__custom_admin_footer' ) ) {
	if (in_array($GLOBALS['pagenow'], array('edit.php', 'post.php', 'post-new.php'))){
		add_filter('admin_footer_text', 'jt__custom_admin_footer', 9999);
		add_filter( 'update_footer', 'jt__custom_admin_version', 9999);
	}
	/**/
	function jt__custom_admin_footer($text) {
		$post_type = filter_input(INPUT_GET, 'post_type');
		if (! $post_type){ $post_type = get_post_type(filter_input(INPUT_GET, 'post')); }
		if ('jwd_team' == $post_type){ 
			return '<p style="margin-bottom:0;">'.__('Don\'t forget to rate <b>'.jt__plugin_data('name').'</b> <a href="' . esc_url( 'https://wordpress.org/support/plugin/jwd-teams/reviews/' ) .'" target="blank" ><span class="dashicons dashicons-star-filled"></span><span class="dashicons dashicons-star-filled"></span><span class="dashicons dashicons-star-filled"></span><span class="dashicons dashicons-star-filled"></span><span class="dashicons dashicons-star-filled"></span></a> on <a href="' . esc_url( 'https://wordpress.org/support/plugin/jwd-teams/reviews/' ) .'" target="blank" >wordpress.org </a> to help us spread the word.<br />','jwdtm').'</p><i>Thank you very much!</i>'; 
		}
		return $text;
	}
	/**/
	function jt__custom_admin_version($text) {
		$post_type = filter_input(INPUT_GET, 'post_type');
		if (! $post_type){ $post_type = get_post_type(filter_input(INPUT_GET, 'post')); }
		if ('jwd_team' == $post_type){ 
			return jt__plugin_data('name') . ' v' . jt__plugin_data(); 
		}
		return $text;
	}
}